Channels
Verify sending domain
POST
Check DNS records and refresh the verification status of a sending domain.
bearer channels:writeheader
AuthorizationBearer <token>API key (rsl_live_…) from Settings → Developers.
Scope: channels:write
application/json- body
domainOrEmail*stringLength
3 <= length <= 254Success
application/json- response
domain*stringstatus*stringrecords*Which DNS records were found.
curl -X POST "https://example.com/sending-domains/verify" \ -H "Content-Type: application/json" \ -d '{ "domainOrEmail": "string" }'{ "domain": "string", "status": "string", "records": { "property1": true, "property2": true }}